<template>
    <div id="inspectionComplete" style="width:90%;height:360px;margin: 0 auto;">
    </div>
</template>

<script>

import {getInspectComplete} from "../../../../../../api/inspectStatistics";

export default {
    name: 'index',
    data(){
        return{
            numData:[],
            timeData:[],
        }
    },
    mounted() {
    },
    methods:{
        async updateData(val){
            let res = await getInspectComplete(val)
            if(res.data.code === '200'){
                this.numData = res.data.data.map(item =>{
                    return item.num
                })
                this.timeData = res.data.data.map(item =>{
                    return item.taskDate
                })
            }else{
                this.$message({
                    type:'warning',
                    message:res.data.message
                })
            }
            this.drawTodayLine()
        },
        async drawTodayLine(){
            let myChart = this.$echarts.init(document.getElementById('inspectionComplete'))
            myChart.setOption({
                xAxis: {
                type: 'category',
                boundaryGap: false,
                data:this.timeData
                },
                yAxis: {
                    type: 'value'
                },
                color:'#5470c6',
                series: [
                    {
                    data: this.numData,
                    type: 'line',
                    smooth: true
                    }
                ]
            })
        }
    }
}
</script>

<style scoped>

</style>
